function [ A ] = readFIJI_csv( filename )
% [ A ] = readFIJI_csv( filename )
%   read csv file generated by FIJI and extract the x,y coordinates.
%   Assumes a single header row and (x,y) pairs are in columns 6 and 7
%
% INPUTS:
%   filename - name of .csv file
%
% OUTPUTS: 
%   A - m x 2 matrix of (x,y) pairs

% can update later to find the X,Y columns
% for now, just know that the files are read beginning at the second row
% (first row is column headers)
% (X,Y) pairs are in columns 

fileInfo = dir(filename);
if fileInfo.bytes == 0
    % empty csv file
    A = [];
    return;
end

A = csvread(filename,1,5);   % skips first row and first 5 columns

end

